@use 'sass/base';
@use 'sass/size';
@use 'sass/mixin';
@use 'sass/color';

.upload {
  @include mixin.center-items(flex-start, flex-start);
  flex-flow: column nowrap;
  gap: size.$gap;
  .flex-row {
    @include mixin.center-items;
    width: 100%;
    flex-flow: row wrap;
    gap: size.$gap;
    .radio-container {
      @include mixin.center-items(center, flex-start);
      flex-flow: column nowrap;
      gap: 0.5 * size.$gap;
    }
    .button-container {
      flex: 1;
      @include mixin.center-items;
      flex-flow: row wrap;
      gap: size.$gap;
      button {
        margin: 0 !important;
        padding: 0.25em 1em;
      }
    }
  }
}

.timeslot {
  position: relative;
  min-width: 100%;
  .title > span {
    position: absolute;
    top: auto;
    bottom: auto;
    right: size.$gap;
  }
}

.wind-rose,
.weibull-distribution {
  height: 400px;
}

.group-title-wrapper div {
  width: 100%;
  height: 56px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  position: static;
  margin-bottom: 2rem;

  button {
    min-width: 10rem;
  }
}

.buttonRespContainer {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.buttonRespContainer button {
  margin: 10px;
}

.generateType mat-radio-button {
  margin-right: 10px;
  padding: 10px;
}

.alignIconText {
  display: flex;
  align-items: center;
}
.iconInfo {
  text-align: center;
  display: inline-block;
  text-align: center;
  padding-left: 0.25em;
}

.iconInfoTable {
  display: inline-block;
  text-align: center;
  padding-left: 0.25em;
}
